## org.gjt.sp.jedit.datatransfer
Class RichTextTransferable

    java.lang.Object
      org.gjt.sp.jedit.datatransfer.RichTextTransferable

All Implemented Interfaces:
  java.awt.datatransfer.Transferable

    public class RichTextTransferable

extends java.lang.Object
implements java.awt.datatransfer.Transferable

Since:
  jEdit 4.4.x

Constructor Summary
`RichTextTransferable(java.lang.String text, java.lang.String mode)`

Method Summary
`java.lang.Object` `getTransferData(java.awt.datatransfer.DataFlavor flavor)`
`java.awt.datatransfer.DataFlavor[]` `getTransferDataFlavors()`
`boolean` `isDataFlavorSupported(java.awt.datatransfer.DataFlavor flavor)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RichTextTransferable

    public RichTextTransferable(java.lang.String text,
                                java.lang.String mode)

Method Detail

### getTransferDataFlavors

    public java.awt.datatransfer.DataFlavor[] getTransferDataFlavors()

  Specified by:
    `getTransferDataFlavors` in interface `java.awt.datatransfer.Transferable`

### isDataFlavorSupported

    public boolean isDataFlavorSupported(java.awt.datatransfer.DataFlavor flavor)

  Specified by:
    `isDataFlavorSupported` in interface `java.awt.datatransfer.Transferable`

### getTransferData

    public java.lang.Object getTransferData(java.awt.datatransfer.DataFlavor flavor)
                                     throws java.awt.datatransfer.UnsupportedFlavorException,
                                            java.io.IOException

  Specified by:
    `getTransferData` in interface `java.awt.datatransfer.Transferable`
  Throws:
    `java.awt.datatransfer.UnsupportedFlavorException`
    `java.io.IOException`